Bug 90611 - libtool generates wrong commands when relinking
libtool generates wrong commands when relinking
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: libtool (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-10 18:44 EDT by Richard Plana
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version: 1.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 02:27:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Plana 2003-05-10 18:44:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030508

Description of problem:
There is a known problem with libtool 1.4.3 that manifests itself during the
install stage of package compilation and installation. So far, I've seen this
problem compiling two packages: libquicktime and pcre-4.2. An example of a
typical session follows:

bin/sh ./libtool --mode=install /usr/bin/install -c libpcreposix.la
/var/tmp/pcre-root/usr/lib/libpcreposix.la
libtool: install: warning: relinking `libpcreposix.la'
(cd /usr/src/redhat/BUILD/pcre-4.2; /bin/sh ./libtool --mode=relink gcc -O2 -g
-pipe -march=athlon -I. -I. -rpath /usr/lib -L. -lpcre -version-info 0:0:0 -o
libpcreposix.la pcreposix.lo)
gcc -shared  pcreposix.lo  -L/usr/src/redhat/BUILD/pcre-4.2 -L/usr/lib -lpcre
-Wl,-soname -Wl,libpcreposix.so.0 -o .libs/libpcreposix.so.0.0.0
/usr/bin/ld: cannot find -lpcre

This is fixed in libtool-1.5 and the output should be:

/bin/sh ./libtool --mode=install /usr/bin/install -c libpcreposix.la
/var/tmp/pcre-root/usr/lib/libpcreposix.la
libtool: install: warning: relinking `libpcreposix.la'
(cd /usr/src/redhat/BUILD/pcre-4.2; /bin/sh ./libtool --mode=relink gcc -O2 -g
-pipe -march=athlon -I. -I. -rpath /usr/lib -L. -lpcre -version-info 0:0:0 -o
libpcreposix.la pcreposix.lo)
gcc -shared  pcreposix.lo  -L/usr/src/redhat/BUILD/pcre-4.2 -L/usr/lib -lpcre
-Wl,-soname -Wl,libpcreposix.so.0 -o .libs/libpcreposix.so.0.0.0


Version-Release number of selected component (if applicable):
libtool-1.4.3-5

How reproducible:
Always

Steps to Reproduce:
1. Compile pcre-4.2-1.src.rpm on RedHat 9


Additional info:
Comment 1 Jens Petersen 2003-07-08 08:38:11 EDT
libtool-1.5 is in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.